php encoder

sto utilizzando ioncube...dopo aver codificato tutte le pagine php ...lo provo in locale funziona perfettamente.

Lo provo sul server ma non va dandomi come errore

Site error: the file /usr/home/fada/domains/undertheory.com/public_html/under/index/index.php requires 
the ionCube PHP Loader ioncube_loader_fre_4.4.so to be installed by the site administrator

Apparte che la libreria ioncube_loader_fre_4.4.so non esiste poi ho provato a rinominare una libreria linux

con quel nome ma niente da fare. Ci sono problemi di percorso.

mi vedo una pagina codificata e mi controllo come fa l'include. a un certo punto vedo if(file_exists($__oid.$__lp)

cos subito dopo faccio un echo di $__oid.$__lp)

e l'output

./usr/home/fada/domains/undertheory.com/public_html/under/index/../../../../../../../../
usr/home/fada/domains/undertheory.com/public_html/under/index/ioncube/ioncube_loader_fre_4.4.so

dove $__oid : ./usr/home/fada/domains/undertheory.com/public_html/under/index/

invece $__lp tutto il resto.

Come posso risolvere ? (ovviamente ho verificato che le libreria si trovassero effettivamente in quella posizione)

inviato 10 anni fa
Toto007
modificato 10 anni fa
X 0 X

se non sbaglio il loader dell'estensione ioncube controlla la presenza del file anche in una cartella "ioncube" all'interno della root del sito. Quindi dovresti semplicemente creare una cartella "ioncube" e mettere al suo interno i file "ioncube_loader_..."

:bye:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda